<?php
   function anime_text_panel()
   {
        $theme = wp_get_theme();
        if ( 'Madara' != $theme->name && 'Madara' != $theme->parent_theme ) {
            echo '<h1>This plugin requires the "Madara" theme to be installed and active on this site before it can function! Please install it from here: <a href="https://1.envato.market/madara" target="_blank">Madara - WordPress Theme for Manga</a></h1>';
            return;
        }
        if( ! class_exists('WP_MANGA_STORAGE') ) {
            echo '<h1>This plugin requires the "Madara Core" plugin to be installed and active on this site before it can function! Please install it from here: <a href="https://1.envato.market/madara" target="_blank">Madara - WordPress Theme for Manga</a></h1>';
            return;
        }
        $anime_Main_Settings = get_option('anime_Main_Settings', false);
        if (isset($anime_Main_Settings['anime_enabled']) && trim($anime_Main_Settings['anime_enabled']) == 'on')
        {
            if(isset($anime_Main_Settings['animeapi_key']) && $anime_Main_Settings['animeapi_key'] != '')
            {
            }
            else
            {
        ?>
            <h1><?php echo esc_html__("You must add a AnimeAPI Key before you can use this feature!", 'ultimate-anime-scraper');?></h1>
        <?php
                return;
            }
        }
   ?>
<div class="wp-header-end"></div>
<div class="wrap gs_popuptype_holder seo_pops">
    <h2><?php echo esc_html__("Anime Scraper", 'ultimate-anime-scraper');?></h2>
<div>
   <form id="myForm" method="post" action="admin.php?page=anime_text_panel">
      <?php
         wp_nonce_field('anime_save_rules', '_animer_nonce');
         
         if (isset($_GET['settings-updated'])) {
         ?>
      <div>
         <p class="cr_saved_notif"><strong><?php echo esc_html__("Settings saved.", 'ultimate-anime-scraper');?></strong></p>
      </div>
      <?php
         }
         $hu = get_home_url();
         if (stristr($hu, '143.198.112.144') !== false) 
         {
         ?>
         <div id="message" class="updated">
         <p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('This is a demo version of the "Ultimate Anime Scraper" plugin, you will have access to a limited feature set only (maximum scraped episode count limited to 1). To gain access to the full feature set of the plugin, please purchase it', 'ultimate-anime-scraper');?>&nbsp;<a href="https://1.envato.market/ultimate-anime-scraper" targetr="_blank">CodeCanyon</a>.</strong></p>
         </div>
         <?php
         }
         ?>
      <div>
         <div class="hideMain">
            <hr/>
            <div class="table-responsive">
               <table id="mainRules" class="responsive table cr_main_table">
                  <thead>
                     <tr>
                        <th>
                           <?php echo esc_html__("ID", 'ultimate-anime-scraper');?>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("This is the ID of the rule.", 'ultimate-anime-scraper');
                                    ?>
                              </div>
                           </div>
                        </th>
                        <th>
                           <?php echo esc_html__("Anime Search String", 'ultimate-anime-scraper');?>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Add a search query for an anime. To return any anime, please enter here: *", 'ultimate-anime-scraper');
                                    ?>
                              </div>
                           </div>
                        </th>
                        <th><?php echo esc_html__("Schedule", 'ultimate-anime-scraper');?><div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                        <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                                    $unlocker = get_option('anime_minute_running_unlocked', false);
                                    if($unlocker == '1')
                                    {
                                        echo esc_html__("Select the interval in minutes after which you want this rule to run. Defined in minutes.", 'ultimate-anime-scraper');
                                    }
                                    else
                                    {
                                        echo esc_html__("Select the interval in hours after which you want this rule to run. Defined in hours.", 'ultimate-anime-scraper');
                                    }
                           
                           ?>
                        </div>
                        </div></th>
                        <th><?php echo esc_html__("Max # Episodes", 'ultimate-anime-scraper');?><div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                        <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Number of episodes to scrape from each anime is listed and scraped by this rule.", 'ultimate-anime-scraper');
                           ?>
                        </div>
                        </div></th>
                        <th>
                           <?php echo esc_html__("Episode Status", 'ultimate-anime-scraper');?><br/>
                           
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Select the episode status: published, draft, pending.", 'ultimate-anime-scraper');
                                    ?>
                              </div>
                           </div>
                        </th>
                        <th><?php echo esc_html__("Anime Author", 'ultimate-anime-scraper');?><div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                        <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Select the author that you want to assign for the automatically generated animes.", 'ultimate-anime-scraper');
                           ?>
                        </div>
                        </div></th>
                        <th><?php echo esc_html__("More Options", 'ultimate-anime-scraper');?><div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                        <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Shows advanced settings for this rule.", 'ultimate-anime-scraper');
                           ?>
                        </div>
                        </div></th>
                        <th class="cr_max_width_20"><?php echo esc_html__("Del", 'ultimate-anime-scraper');?><div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                        <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Do you want to delete this rule?", 'ultimate-anime-scraper');
                           ?>
                        </div>
                        </div></th>
                        <th class="cr_max_42"><?php echo esc_html__("Active", 'ultimate-anime-scraper');?><div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                        <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Do you want to enable this rule? You can deactivate any rule (you don't have to delete them to deactivate them).", 'ultimate-anime-scraper');
                           ?>
                        </div>
                        </div>
                        <br/>
                        <input type="checkbox" onchange="thisonChangeHandler(this)" id="exclusion"></th>
                        <th class="cr_max_32"><?php echo esc_html__("Info", 'ultimate-anime-scraper');?><div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                        <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("The number of animes this rule has generated so far.", 'ultimate-anime-scraper');
                           ?>
                        </div>
                        </div></th>
                        <th class="cr_actions"><?php echo esc_html__("Actions", 'ultimate-anime-scraper');?><div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                        <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Do you want to run this rule now? Note that only one instance of a rule is allowed at once.", 'ultimate-anime-scraper');
                           ?>
                        </div>
                        </div></th>
                     </tr>
                     
                  </thead>
                  <tbody>
                  <?php
                     echo anime_expand_rules_text($hu);
                     ?>
                  
                  <tr>
                  <td class="cr_comm_td">-</td>
                  <td class="cr_short_td"><input type="text" name="anime_text_list[location][]" placeholder="Your Anime Name" value="" class="cr_width_full"/></td>
                  <td class="cr_comm_td"><input type="number" step="1" min="1" name="anime_text_list[schedule][]" max="8765812" class="cr_width_60" placeholder="Select the rule schedule interval" value="24"/></td>
                  <td class="cr_comm_td"><input type="number" step="1" min="0"<?php if (stristr($hu, '143.198.112.144') !== false){ echo ' max="1"';}?> name="anime_text_list[max][]" placeholder="Select the max # of generated episodes" value="1" class="cr_width_60"/></td>
                  <td class="cr_status"><select id="submit_status" name="anime_text_list[submit_status][]" class="cr_width_70">
                  <option value="pending"><?php echo esc_html__("Pending -> Moderate", 'ultimate-anime-scraper');?></option>
                  <option value="draft"><?php echo esc_html__("Draft -> Moderate", 'ultimate-anime-scraper');?></option>
                  <option value="publish" selected><?php echo esc_html__("Published", 'ultimate-anime-scraper');?></option>
                  <option value="private"><?php echo esc_html__("Private", 'ultimate-anime-scraper');?></option>
                  <option value="trash"><?php echo esc_html__("Trash", 'ultimate-anime-scraper');?></option>
                  </select>  </td>
                  <td class="cr_author"><select id="post_author" name="anime_text_list[post_author][]" class="cr_width_auto cr_max_width_150">
                  <?php
                     $blogusers = get_users( [ 'role__in' => [ 'contributor', 'author', 'editor', 'administrator' ] ] );
                     foreach ($blogusers as $user) {
                         echo '<option value="' . esc_html($user->ID) . '"';
                         echo '>' . esc_html($user->display_name) . '</option>';
                     }
                     ?>
                     <option value="rand"><?php echo esc_html__("Random user", 'ultimate-anime-scraper');?></option>
                     <option value="feed-news"><?php echo esc_html__("Import author", 'ultimate-anime-scraper');?></option>
                  </select>  </td>
                  <td class="cr_width_70">
                  <input type="button" id="mybtnfzr" value="Settings">
                  <div id="mymodalfzr" class="codemodalfzr">
                  <div class="codemodalfzr-content">
                  <div class="codemodalfzr-header">
                  <span id="anime_close" class="codeclosefzr">&times;</span>
                  <h2><span class="cr_color_white"><?php echo esc_html__("New Rule", 'ultimate-anime-scraper');?></span> <?php echo esc_html__("Advanced Settings", 'ultimate-anime-scraper');?></h2>
                  </div>
                  <div class="codemodalfzr-body">
                  <div class="table-responsive">
                  <table class="responsive table cr_main_table_nowr">
                  <tr><td class="cr_min_width_200" colspan="2">
                  <h3><?php echo esc_html__("Anime Search Options:", 'ultimate-anime-scraper');?></h3>
                    </td>
                    </tr>
                    <tr><td>
                  <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                  <?php
                     echo esc_html__("Select the status of the anime to search for.", 'ultimate-anime-scraper');
                     ?>
                  </div>
                  </div>
                  <b><?php echo esc_html__("Anime Status:", 'ultimate-anime-scraper');?></b>
                  </td><td>
                  <select class="cr_width_full" id="anime_status" name="anime_text_list[anime_status][]">
                  <option value="any" selected ><?php echo esc_html__("Any", 'ultimate-anime-scraper');?></option>
                  <option value="0" ><?php echo esc_html__("ongoing", 'ultimate-anime-scraper');?></option>
                  <option value="1"><?php echo esc_html__("completed", 'ultimate-anime-scraper');?></option>
                  </select>   
                  </div>
                  </td></tr><tr><td>
                  <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                  <?php
                     echo esc_html__("Set the release year of the anime you are searching for", 'ultimate-anime-scraper');
                     ?>
                  </div>
                  </div>
                  <b><?php echo esc_html__("Anime Year:", 'ultimate-anime-scraper');?></b>
                  </td><td><input type="number" min="1900" max="2200" name="anime_text_list[anime_year][]" value="" placeholder="2019" class="cr_width_full">
                  </div>
                  </td></tr><tr><td>
                  <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                  <?php
                     echo esc_html__("Set the genres you want to search for.", 'ultimate-anime-scraper');
                     ?>
                  </div>
                  </div>
                  <b><?php echo esc_html__("Anime Genres:", 'ultimate-anime-scraper');?></b>
                  </td><td>
                  <select class="cr_width_full" id="anime_genres" name="anime_text_list[anime_genres][]">
                  <option value="any" selected ><?php echo esc_html__("Any", 'ultimate-anime-scraper');?></option>
                  <option value="action" ><?php echo esc_html__("action", 'ultimate-anime-scraper');?></option>
                  <option value="adventure"><?php echo esc_html__("adventure", 'ultimate-anime-scraper');?></option>
                  <option value="avant-garde"><?php echo esc_html__("avant-garde", 'ultimate-anime-scraper');?></option>
                  <option value="cars"><?php echo esc_html__("cars", 'ultimate-anime-scraper');?></option>
                  <option value="childcare"><?php echo esc_html__("childcare", 'ultimate-anime-scraper');?></option>
                  <option value="comedy"><?php echo esc_html__("comedy", 'ultimate-anime-scraper');?></option>
                  <option value="crime"><?php echo esc_html__("crime", 'ultimate-anime-scraper');?></option>
                  <option value="dementia"><?php echo esc_html__("dementia", 'ultimate-anime-scraper');?></option>
                  <option value="demons"><?php echo esc_html__("demons", 'ultimate-anime-scraper');?></option>
                  <option value="detective"><?php echo esc_html__("detective", 'ultimate-anime-scraper');?></option>
                  <option value="drama"><?php echo esc_html__("drama", 'ultimate-anime-scraper');?></option>
                  <option value="dub"><?php echo esc_html__("dub", 'ultimate-anime-scraper');?></option>
                  <option value="ecchi"><?php echo esc_html__("ecchi", 'ultimate-anime-scraper');?></option>
                  <option value="family"><?php echo esc_html__("family", 'ultimate-anime-scraper');?></option>
                  <option value="fantasy"><?php echo esc_html__("fantasy", 'ultimate-anime-scraper');?></option>
                  <option value="game"><?php echo esc_html__("game", 'ultimate-anime-scraper');?></option>
                  <option value="gender-bender"><?php echo esc_html__("gender-bender", 'ultimate-anime-scraper');?></option>
                  <option value="gourmet"><?php echo esc_html__("gourmet", 'ultimate-anime-scraper');?></option>
                  <option value="harem"><?php echo esc_html__("harem", 'ultimate-anime-scraper');?></option>
                  <option value="historical"><?php echo esc_html__("historical", 'ultimate-anime-scraper');?></option>
                  <option value="horror"><?php echo esc_html__("horror", 'ultimate-anime-scraper');?></option>
                  <option value="isekai"><?php echo esc_html__("isekai", 'ultimate-anime-scraper');?></option>
                  <option value="josei"><?php echo esc_html__("josei", 'ultimate-anime-scraper');?></option>
                  <option value="kids"><?php echo esc_html__("kids", 'ultimate-anime-scraper');?></option>
                  <option value="magic"><?php echo esc_html__("magic", 'ultimate-anime-scraper');?></option>
                  <option value="mahou-shoujo"><?php echo esc_html__("mahou-shoujo", 'ultimate-anime-scraper');?></option>
                  <option value="martial-arts"><?php echo esc_html__("martial-arts", 'ultimate-anime-scraper');?></option>
                  <option value="mecha"><?php echo esc_html__("mecha", 'ultimate-anime-scraper');?></option>
                  <option value="military"><?php echo esc_html__("military", 'ultimate-anime-scraper');?></option>
                  <option value="music"><?php echo esc_html__("music", 'ultimate-anime-scraper');?></option>
                  <option value="mystery"><?php echo esc_html__("mystery", 'ultimate-anime-scraper');?></option>
                  <option value="mythology"><?php echo esc_html__("mythology", 'ultimate-anime-scraper');?></option>
                  <option value="parody"><?php echo esc_html__("parody", 'ultimate-anime-scraper');?></option>
                  <option value="police"><?php echo esc_html__("police", 'ultimate-anime-scraper');?></option>
                  <option value="psychological"><?php echo esc_html__("psychological", 'ultimate-anime-scraper');?></option>
                  <option value="romance"><?php echo esc_html__("romance", 'ultimate-anime-scraper');?></option>
                  <option value="romantic-subtext"><?php echo esc_html__("romantic-subtext", 'ultimate-anime-scraper');?></option>
                  <option value="samurai"><?php echo esc_html__("samurai", 'ultimate-anime-scraper');?></option>
                  <option value="school"><?php echo esc_html__("school", 'ultimate-anime-scraper');?></option>
                  <option value="sci-fi"><?php echo esc_html__("sci-fi", 'ultimate-anime-scraper');?></option>
                  <option value="seinen"><?php echo esc_html__("seinen", 'ultimate-anime-scraper');?></option>
                  <option value="shoujo"><?php echo esc_html__("shoujo", 'ultimate-anime-scraper');?></option>
                  <option value="shoujo-ai"><?php echo esc_html__("shoujo-ai", 'ultimate-anime-scraper');?></option>
                  <option value="shounen"><?php echo esc_html__("shounen", 'ultimate-anime-scraper');?></option>
                  <option value="shounen-ai"><?php echo esc_html__("shounen-ai", 'ultimate-anime-scraper');?></option>
                  <option value="slice-of-life"><?php echo esc_html__("slice-of-life", 'ultimate-anime-scraper');?></option>
                  <option value="space"><?php echo esc_html__("space", 'ultimate-anime-scraper');?></option>
                  <option value="sports"><?php echo esc_html__("sports", 'ultimate-anime-scraper');?></option>
                  <option value="strategy-game"><?php echo esc_html__("strategy-game", 'ultimate-anime-scraper');?></option>
                  <option value="super-power"><?php echo esc_html__("super-power", 'ultimate-anime-scraper');?></option>
                  <option value="supernatural"><?php echo esc_html__("supernatural", 'ultimate-anime-scraper');?></option>
                  <option value="suspense"><?php echo esc_html__("suspense", 'ultimate-anime-scraper');?></option>
                  <option value="thriller"><?php echo esc_html__("thriller", 'ultimate-anime-scraper');?></option>
                  <option value="time-travel"><?php echo esc_html__("time-travel", 'ultimate-anime-scraper');?></option>
                  <option value="vampire"><?php echo esc_html__("vampire", 'ultimate-anime-scraper');?></option>
                  <option value="work-life"><?php echo esc_html__("work-life", 'ultimate-anime-scraper');?></option>
                  <option value="yaoi"><?php echo esc_html__("yaoi", 'ultimate-anime-scraper');?></option>
                  <option value="yuri"><?php echo esc_html__("yuri", 'ultimate-anime-scraper');?></option>
                  </select>
                  </div>
                  </td></tr>
                    <tr>
                    <td>
                        <div>
                            <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                <div class="bws_hidden_help_text cr_min_260px">
                                <?php
                                    echo esc_html__("Select if you prefer to disable the download button.", 'ultimate-anime-scraper');
                                    ?>
                                </div>
                            </div>
                            <b><?php echo esc_html__("Disable Download Button:", 'ultimate-anime-scraper');?></b>
                    </td>
                    <td>
                    <input type="checkbox" id="disable_download" name="anime_text_list[disable_download][]">
                    </div>
                    </td>
                    </tr>
                    <tr>
                    <td>
                        <div>
                            <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                <div class="bws_hidden_help_text cr_min_260px">
                                <?php
                                    echo esc_html__("Select if you prefer to disable anime source selection features.", 'ultimate-anime-scraper');
                                    ?>
                                </div>
                            </div>
                            <b><?php echo esc_html__("Disable Anime Source Selection:", 'ultimate-anime-scraper');?></b>
                    </td>
                    <td>
                    <input type="checkbox" id="disable_selection" name="anime_text_list[disable_selection][]">
                    </div>
                    </td>
                    </tr>
                    <tr>
                    <td>
                        <div>
                            <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                <div class="bws_hidden_help_text cr_min_260px">
                                <?php
                                    echo esc_html__("Do you want to remember last posted item and continue search from it the next time the importing rule runs?", 'ultimate-anime-scraper');
                                    ?>
                                </div>
                            </div>
                            <b><?php echo esc_html__("Cache Items For Continuous Posting (disable to get latest posts only):", 'ultimate-anime-scraper');?></b>
                    </td>
                    <td>
                    <input type="checkbox" id="continue_search" name="anime_text_list[continue_search][]" checked>
                    </div>
                    </td>
                    </tr>
                  <tr><td class="cr_min_width_200">
                  <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                  <?php
                     echo esc_html__("Set the maximum anime count to scrape. This value is optional.", 'ultimate-anime-scraper');
                     ?>
                  </div>
                  </div>
                  <b><?php echo esc_html__("Maximum Number Of Animes to Scrape:", 'ultimate-anime-scraper');?></b>
                  </td><td><input type="number" min="1" name="anime_text_list[max_manga][]"<?php if (stristr($hu, '143.198.112.144') !== false){ echo ' max="1"';}?> value="1" placeholder="Maximum number of animes to scrape" class="cr_width_full">
                  </div>
                  </td></tr>
				  <tr><td class="cr_min_width_200">
                  <h3><?php echo esc_html__("Miscellaneous Options:", 'ultimate-anime-scraper');?></h3>
                    </td>
                    </tr>
                    <tr>
                    <td>
                  <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                  <?php
                     echo esc_html__("Select the anime genre that you want for the automatically generated anime to have.", 'ultimate-anime-scraper');
                     ?>
                  </div>
                  </div>
                  <b><?php echo esc_html__("Additional Anime Genre:", 'ultimate-anime-scraper');?></b>
                  </td><td>
                  <select id="default_category" name="anime_text_list[default_category][]" class="cr_width_full">
                  <option value="anime_no_category_12345678" selected><?php echo esc_html__("Do Not Add a Genre", 'ultimate-anime-scraper');?></option>
                  <?php
                     $categories = get_terms( 'wp-manga-genre', array( 'hide_empty' => false ) );
                     foreach ($categories as $category) {
                     ?>
                  <option value="<?php
                     echo esc_html($category->term_id);
                     ?>"><?php
                     echo esc_html(sanitize_text_field($category->name));
                     ?></option>
                  <?php
                     }
                     ?>
                  </select>     
                  </div>
                  </td></tr><tr><td>
                  <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                  <?php
                     echo esc_html__("Do you want to automatically add anime genres from the anime items?", 'ultimate-anime-scraper');
                     ?>
                  </div>
                  </div>
                  <b><?php echo esc_html__("Auto Add Genres:", 'ultimate-anime-scraper');?></b>
                  </td><td>
                  <select class="cr_width_full" id="auto_categories" name="anime_text_list[auto_categories][]">
                  <option value="disabled"><?php echo esc_html__("Disabled", 'ultimate-anime-scraper');?></option>
                  <option value="genre" selected><?php echo esc_html__("Anime Genres", 'ultimate-anime-scraper');?></option>
                  </select>   
                  </div>
                  </td></tr><tr><td>
                  <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                  <?php
                     echo esc_html__("Do you want to automatically add anime tags from the anime items?", 'ultimate-anime-scraper');
                     ?>
                  </div>
                  </div>
                  <b><?php echo esc_html__("Auto Add Anime Tags:", 'ultimate-anime-scraper');?></b>
                  </td><td>
                  <select class="cr_width_full" id="auto_tags" name="anime_text_list[auto_tags][]">
                  <option value="disabled" selected><?php echo esc_html__("Disabled", 'ultimate-anime-scraper');?></option>
                  <option value="genre"><?php echo esc_html__("Anime Genres", 'ultimate-anime-scraper');?></option>
                  </select> 
                  </div>
                  </td></tr><tr><td>
                  <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                  <?php
                     echo esc_html__("Select the anime tags that you want for the automatically generated anime to have.", 'ultimate-anime-scraper');
                     ?>
                  </div>
                  </div>
                  <b><?php echo esc_html__("Additional Anime Tags:", 'ultimate-anime-scraper');?></b>
                  </td><td>
                  <input type="text" name="anime_text_list[default_tags][]" value="" placeholder="Please insert your additional anime tags here" class="cr_width_full">
                  </div>
                     </td>
                  </tr>
                    <tr>
                    <td>
                        <div>
                            <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                <div class="bws_hidden_help_text cr_min_260px">
                                <?php
                                    echo esc_html__("Do you want to enable comments for the generated anime?", 'ultimate-anime-scraper');
                                    ?>
                                </div>
                            </div>
                            <b><?php echo esc_html__("Enable Comments For Anime:", 'ultimate-anime-scraper');?></b>
                    </td>
                    <td>
                    <input type="checkbox" id="enable_comments" name="anime_text_list[enable_comments][]" checked>
                    </div>
                    </td>
                    </tr>
                    <tr>
                    <td>
                        <div>
                            <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                <div class="bws_hidden_help_text cr_min_260px">
                                <?php
                                    echo esc_html__("Do you want to enable pingbacks/trackbacks for the generated anime?", 'ultimate-anime-scraper');
                                    ?>
                                </div>
                            </div>
                            <b><?php echo esc_html__("Enable Pingback/Trackback:", 'ultimate-anime-scraper');?></b>
                    </td>
                    <td>
                    <input type="checkbox" id="enable_pingback" name="anime_text_list[enable_pingback][]">
                    </div>
                    </td>
                    </tr>
                    <tr>
                    <td>
                        <div>
                            <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                <div class="bws_hidden_help_text cr_min_260px">
                                <?php
                                    echo esc_html__("Do you want to get the publish date from the source animes?", 'ultimate-anime-scraper');
                                    ?>
                                </div>
                            </div>
                            <b><?php echo esc_html__("Get Publish Date From Anime:", 'ultimate-anime-scraper');?></b>
                    </td>
                    <td>
                    <input type="checkbox" id="get_date" name="anime_text_list[get_date][]">
                    </div>
                    </td>
                    </tr>
                    <tr><td>
                  <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                  <?php
                     echo esc_html__("Set a global episode warning message to display on the scraped anime.", 'ultimate-anime-scraper');
                     ?>
                  </div>
                  </div>
                  <b><?php echo esc_html__("Global Episode Warning Message:", 'ultimate-anime-scraper');?></b>
                  </td><td>
                  <input type="text" name="anime_text_list[chapter_warning][]" value="" placeholder="Global Episode Warning Message" class="cr_width_full">
                  </div>
                  </td></tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px"><?php echo esc_html__("Do you want to try to use PhantomJS to try to parse JavaScript from crawled pages (for pages that create dynamic content, on page load, using JavaScript)? Please note that for this to work, you must have PhantomJs installed on your server. You can configure the path to PhantomJS from your server, from plugin's 'Main Settings'.", 'ultimate-anime-scraper');?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Content Scraping Method To Use:", 'ultimate-anime-scraper');?></b><div class="cr_float_right bws_help_box bws_help_box_right dashicons cr_align_middle"><img class="cr_align_middle" src="<?php echo plugins_url('../images/new.png', __FILE__);?>" alt="new feature"/>
                                                      <div class="bws_hidden_help_text cr_min_260px"><?php echo esc_html__("New feature added to this plugin: it is able to use HeadlessBrowserAPI to scrape with JavaScript rendered content any website from the internet. Also, the Tor node of the API will be able to scrape .onion sites from the Dark Net!", 'ultimate-anime-scraper');?>
                                                      </div>
                                                   </div>
                        </div>
                     </td>
                     <td>
                        <div>
                           <select id="use_phantom" name="anime_text_list[use_phantom][]" class="cr_width_full">
                            <option value="0" selected><?php echo esc_html__("WordPress (Default)", 'ultimate-anime-scraper');?></option>
                            <option value="1"><?php echo esc_html__("Use PhantomJS", 'ultimate-anime-scraper');?></option>          
                            <option value="2"><?php echo esc_html__("Use Puppeteer", 'ultimate-anime-scraper');?></option>
                            <option value="4"<?php if (!isset($anime_Main_Settings['headlessbrowserapi_key']) || trim($anime_Main_Settings['headlessbrowserapi_key']) == ''){echo ' title="' . esc_html__("This option is disabled. To enable it, add a HeadlessBrowserAPI Key in the plugin's 'Main Settings' menu.", 'ultimate-anime-scraper') . '" disabled';}?>><?php echo esc_html__("Puppeteer (HeadlessBrowserAPI)", 'ultimate-anime-scraper');if (!isset($anime_Main_Settings['headlessbrowserapi_key']) || trim($anime_Main_Settings['headlessbrowserapi_key']) == ''){echo esc_html__(' - to enable, add a HeadlessBrowserAPI key in the plugin\'s \'Main Settings\'', 'ultimate-anime-scraper');}?></option>
                            <option value="5"<?php if (!isset($anime_Main_Settings['headlessbrowserapi_key']) || trim($anime_Main_Settings['headlessbrowserapi_key']) == ''){echo ' title="' . esc_html__("This option is disabled. To enable it, add a HeadlessBrowserAPI Key in the plugin's 'Main Settings' menu.", 'ultimate-anime-scraper') . '" disabled';}?>><?php echo esc_html__("Tor (HeadlessBrowserAPI)", 'ultimate-anime-scraper');if (!isset($anime_Main_Settings['headlessbrowserapi_key']) || trim($anime_Main_Settings['headlessbrowserapi_key']) == ''){echo esc_html__(' - to enable, add a HeadlessBrowserAPI key in the plugin\'s \'Main Settings\'', 'ultimate-anime-scraper');}?></option>
                            <option value="6"<?php if (!isset($anime_Main_Settings['headlessbrowserapi_key']) || trim($anime_Main_Settings['headlessbrowserapi_key']) == ''){echo ' title="' . esc_html__("This option is disabled. To enable it, add a HeadlessBrowserAPI Key in the plugin's 'Main Settings' menu.", 'ultimate-anime-scraper') . '" disabled';}?>><?php echo esc_html__("PhantomJS (HeadlessBrowserAPI)", 'ultimate-anime-scraper');if (!isset($anime_Main_Settings['headlessbrowserapi_key']) || trim($anime_Main_Settings['headlessbrowserapi_key']) == ''){echo esc_html__(' - to enable, add a HeadlessBrowserAPI key in the plugin\'s \'Main Settings\'', 'ultimate-anime-scraper');}?></option>
                           </select>               
                        </div>
                    </td></tr>
                    <tr>
                    <td colspan="2">
                    <h3><?php echo esc_html__("Translation Options:", 'ultimate-anime-scraper');?></h3>
                    </td>
                    </tr>
                    <tr>
                    <td>
                        <div>
                            <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                <div class="bws_hidden_help_text cr_min_260px"><?php echo esc_html__("Do you want to automatically translate generated content using Google Translate? If set, this will overwrite the 'Automatically Translate Content To' option from plugin's 'Main Settings'.", 'ultimate-anime-scraper');?>
                                </div>
                            </div>
                            <b><?php echo esc_html__("Automatically Translate Content To:", 'ultimate-anime-scraper');?></b><br/><b><?php echo esc_html__("Info:", 'ultimate-anime-scraper');?></b> <?php echo esc_html__("for translation, the plugin also supports WPML.", 'ultimate-anime-scraper');?> <b><a href="https://wpml.org/?aid=238195&affiliate_key=ix3LsFyq0xKz" target="_blank"><?php echo esc_html__("Get WPML now!", 'ultimate-anime-scraper');?></a></b>
                    </td>
                    <td>
                    <select class="cr_width_full" id="translate" name="anime_text_list[rule_translate][]" >
                    <?php
                        $i = 0;
                        foreach ($GLOBALS['language_names'] as $lang) {
                            echo '<option value="' . esc_attr($GLOBALS['language_codes'][$i]) . '"';
                            if ($i == 0) {
                                echo ' selected';
                            }
                            echo '>' . esc_html($GLOBALS['language_names'][$i]) . '</option>';
                            $i++;
                        }
                        if(isset($anime_Main_Settings['deepl_auth']) && $anime_Main_Settings['deepl_auth'] != '')
                        {
                            $i = 0;
                            foreach ($GLOBALS['language_names_deepl'] as $lang) {
                                echo '<option value="' . esc_attr($GLOBALS['language_codes_deepl'][$i]) . '"';
                                echo '>' . esc_html($GLOBALS['language_names_deepl'][$i]) . '</option>';
                                $i++;
                            }
                        }
                        if(isset($anime_Main_Settings['bing_auth']) && $anime_Main_Settings['bing_auth'] != '')
                        {
                            $i = 0;
                            foreach ($GLOBALS['language_names_bing'] as $lang) {
                                echo '<option value="' . esc_attr($GLOBALS['language_codes_bing'][$i]) . '"';
                                echo '>' . esc_html($GLOBALS['language_names_bing'][$i]) . '</option>';
                                $i++;
                            }
                        }
                        ?>
                    </select>               
                    </div>
                    </td>
                    </tr>
                    <tr>
                    <td>
                        <div>
                            <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                <div class="bws_hidden_help_text cr_min_260px">
                                <?php
                                    echo esc_html__("Do you want to not translate anime titles", 'ultimate-anime-scraper');
                                    ?>
                                </div>
                            </div>
                            <b><?php echo esc_html__("Do Not Translate Title:", 'ultimate-anime-scraper');?></b>
                    </td>
                    <td>
                    <input type="checkbox" id="no_translate_title" name="anime_text_list[no_translate_title][]">
                    </div>
                    </td>
                    </tr>
                  </table></div>
                  </div>
                  <div class="codemodalfzr-footer">
                  <br/>
                  <h3 class="cr_inline">Ultimate Anime Scraper</h3><span id="anime_ok" class="codeokfzr cr_inline">OK&nbsp;</span>
                  <br/><br/>
                  </div>
                  </div>
                  </div> 
                  </td>
                  <td class="cr_comm_td"><span class="cr_gray20">X</span></td>
                  <td class="cr_comm_td"><input type="checkbox" name="anime_text_list[active][]" value="1" checked />
                  <input type="hidden" name="anime_text_list[last_run][]" value="1988-01-27 00:00:00"/></td>
                  <td class="cr_comm_td"><div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                  <?php
                     echo esc_html__("No info.", 'ultimate-anime-scraper');
                     ?>
                  </div>
                  </div></td>
                  <td class="cr_center">
                  <div>
                  <img src="<?php
                     echo esc_url(plugin_dir_url(dirname(__FILE__)) . 'images/running.gif');
                     ?>" alt="Running" class="cr_running">
                  <div class="codemainfzr cr_gray_back">
                  <select id="actions" class="actions" name="actions" disabled>
                  <option value="select" disabled selected><?php echo esc_html__("Select an Action", 'ultimate-anime-scraper');?></option>
                  <option value="run" onclick=""><?php echo esc_html__("Run This Rule Now", 'ultimate-anime-scraper');?></option>
                  <option value="trash" onclick=""><?php echo esc_html__("Move All Anime To Trash", 'ultimate-anime-scraper');?></option>
                  <option value="delete" onclick=""><?php echo esc_html__("Permanently Delete All Anime", 'ultimate-anime-scraper');?></option>
                  </select>
                  </div>
                  </div>
                  </td>
                  </tr>
                  </tbody>
               </table>
               </div>
            </div>
         </div>
         <hr/>
         <div>
            <p class="submit"><input type="submit" name="btnSubmit" id="btnSubmit" class="button button-primary" onclick="unsaved = false;" value="<?php echo esc_html__("Save Settings", 'ultimate-anime-scraper');?>"/></p>
         </div>
         <div>
            <?php echo esc_html__("Confused about rule running status icons?", 'ultimate-anime-scraper');?> <a href="http://coderevolution.ro/knowledge-base/faq/how-to-interpret-the-rule-running-visual-indicators-red-x-yellow-diamond-green-tick-from-inside-plugins/" target="_blank"><?php echo esc_html__("More info", 'ultimate-anime-scraper');?></a><br/>
            <div class="cr_none" id="midas_icons">
               <table>
                  <tr>
                     <td><img id="run_img" src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)) . 'images/running.gif');?>" alt="Running" title="status"></td>
                     <td><?php echo esc_html__("In Progress", 'ultimate-anime-scraper');?> - <b><?php echo esc_html__("Importing is Running", 'ultimate-anime-scraper');?></b></td>
                  </tr>
                  <tr>
                     <td><img id="ok_img" src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)) . 'images/ok.gif');?>" alt="OK"  title="status"></td>
                     <td><?php echo esc_html__("Success", 'ultimate-anime-scraper');?> - <b><?php echo esc_html__("New Anime Created", 'ultimate-anime-scraper');?></b></td>
                  </tr>
                  <tr>
                     <td><img id="fail_img" src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)) . 'images/failed.gif');?>" alt="Faield" title="status"></td>
                     <td><?php echo esc_html__("Failed", 'ultimate-anime-scraper');?> - <b><?php echo esc_html__("An Error Occurred.", 'ultimate-anime-scraper');?> <b><?php echo esc_html__("Please check 'Activity and Logging' plugin menu for details.", 'ultimate-anime-scraper');?></b></td>
                  </tr>
                  <tr>
                     <td><img id="nochange_img" src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)) . 'images/nochange.gif');?>" alt="NoChange" title="status"></td>
                     <td><?php echo esc_html__("No Change - No New Anime Created", 'ultimate-anime-scraper');?> - <b><?php echo esc_html__("Possible reasons:", 'ultimate-anime-scraper');?></b></td>
                  </tr>
                  <tr>
                     <td></td>
                     <td>
                        <ul>
                           <li>&#9658; <?php echo esc_html__("Already all anime are published that match your search and animes will be published when new content will be available", 'ultimate-anime-scraper');?></li>
                           <li>&#9658; <?php echo esc_html__("Some restrictions you defined in the plugin's 'Main Settings'", 'ultimate-anime-scraper');?> <i>(<?php echo esc_html__("example: 'Minimum Content Word Count', 'Maximum Content Word Count', 'Minimum Title Word Count', 'Maximum Title Word Count', 'Banned Words List', 'Reuired Words List', 'Skip Anime Without Images'", 'ultimate-anime-scraper');?>)</i> <?php echo esc_html__("prevent posting of new animes.", 'ultimate-anime-scraper');?></li>
                        </ul>
                     </td>
                  </tr>
               </table>
            </div>
         </div>
   </form>
   </div>
</div>
<?php
   }
   if (isset($_POST['anime_text_list'])) {
       add_action('admin_init', 'anime_save_rules_text');
   }
   
   function anime_save_rules_text($data2)
   {
       check_admin_referer('anime_save_rules', '_animer_nonce');
       
       $data2 = $_POST['anime_text_list'];
       $rules = array();
       $cont  = 0;
       if (isset($data2['location'][0])) {
           for ($i = 0; $i < sizeof($data2['location']); ++$i) {
               $bundle = array();
               if (isset($data2['schedule'][$i]) && $data2['schedule'][$i] != '' && trim($data2['location'][$i]) != '') {
                   $bundle[]     = trim($data2['location'][$i]);
                   $bundle[]     = trim(sanitize_text_field($data2['schedule'][$i]));
                   if (isset($data2['active'][$i])) {
                       $bundle[] = trim(sanitize_text_field($data2['active'][$i]));
                   } else {
                       $bundle[] = '0';
                   }
                   $bundle[]     = trim(sanitize_text_field($data2['last_run'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['max'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['submit_status'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['post_author'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['default_tags'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['default_category'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['auto_categories'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['auto_tags'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['use_phantom'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['max_manga'][$i]));
                   $bundle[]     = trim($data2['chapter_warning'][$i]);
                   $bundle[]     = trim(sanitize_text_field($data2['enable_comments'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['enable_pingback'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['get_date'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['rule_translate'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['no_translate_title'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['anime_status'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['anime_year'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['anime_genres'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['disable_download'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['disable_selection'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['continue_search'][$i]));
                   $rules[$cont] = $bundle;
                   $cont++;
               }
           }
       }
       update_option('anime_text_list', $rules, false);
   }
   function anime_expand_rules_text($hu)
   {
       $anime_Main_Settings = get_option('anime_Main_Settings', false);
       $categories = get_terms( 'wp-manga-genre', array( 'hide_empty' => false ) );
       if (!get_option('anime_running_list')) {
           $running = array();
       } else {
           $running = get_option('anime_running_list');
       }
       $GLOBALS['wp_object_cache']->delete('anime_text_list', 'options');
       $rules  = get_option('anime_text_list');
    if(!is_array($rules))
    {
       $rules = array();
    }
       $output = '';
       $cont   = 0;
       if (!empty($rules)) {
           $posted_items = array();
           $post_list = array();
           $postsPerPage = 50000;
           $paged = 0;
           do
           {
               $postOffset = $paged * $postsPerPage;
               $query = array(
                   'post_status' => array(
                       'publish',
                       'draft',
                       'pending',
                       'trash',
                       'private',
                       'future'
                   ),
                   'post_type' => array(
                       'any'
                   ),
                   'numberposts' => $postsPerPage,
                   'meta_key' => 'anime_parent_rule',
                   'fields' => 'ids',
                   'offset'  => $postOffset
               );
               $got_me = get_posts($query);
               $post_list = array_merge($post_list, $got_me);
               $paged++;
           }while(!empty($got_me));
           wp_suspend_cache_addition(true);
           foreach ($post_list as $post) {
               $rule_id = get_post_meta($post, 'anime_parent_rule', true);
               if ($rule_id != '') {
                   $exp = explode('-', $rule_id);
                   if(isset($exp[0]) && isset($exp[1]) && $exp[0] == '1')
                   {
                       $posted_items[] = $exp[1];
                   }
               }
           }
           $phantom = false;
           wp_suspend_cache_addition(false);
           $counted_vals = array_count_values($posted_items);
           $unlocker = get_option('anime_minute_running_unlocked', false);
           foreach ($rules as $request => $bundle[]) {
               if (isset($counted_vals[$cont])) {
                   $generated_posts = $counted_vals[$cont];
               } else {
                   $generated_posts = 0;
               }
               $bundle_values          = array_values($bundle);
               $myValues               = $bundle_values[$cont];
               $array_my_values        = array_values($myValues);for($iji=0;$iji<count($array_my_values);++$iji){if(is_string($array_my_values[$iji])){$array_my_values[$iji]=stripslashes($array_my_values[$iji]);}}
               $manga_name             = $array_my_values[0];
               $schedule               = $array_my_values[1];
               $active                 = $array_my_values[2];
               $last_run               = $array_my_values[3];
               $max                    = $array_my_values[4];
               $status                 = $array_my_values[5];
               $post_user_name         = $array_my_values[6];
               $default_tags           = $array_my_values[7];
               $default_category       = $array_my_values[8];
               $auto_categories        = $array_my_values[9];
               $auto_tags              = $array_my_values[10];
               $use_phantom            = $array_my_values[11];
               $max_manga              = $array_my_values[12];
               $chapter_warning        = $array_my_values[13];
               $enable_comments        = $array_my_values[14];
               $enable_pingback        = $array_my_values[15];
               $get_date               = $array_my_values[16];
               $rule_translate         = $array_my_values[17];
               $no_translate_title     = $array_my_values[18];
               $anime_status           = $array_my_values[19];
               $anime_year             = $array_my_values[20];
               $anime_genres           = $array_my_values[21];
               $disable_download       = $array_my_values[22];
               $disable_selection      = $array_my_values[23];
               $continue_search        = $array_my_values[24];
               wp_add_inline_script('anime-footer-script', 'createAdmin(' . esc_html($cont) . ');', 'after');
               $output .= '<tr>
                           <td class="cr_comm_td">' . esc_html($cont) . '</td>
                           <td class="cr_short_td"><input type="text" step="1" name="anime_text_list[location][]" placeholder="Your Anime Name" value="' . esc_attr($manga_name) . '" class="cr_width_full" required/></td>
                           <td class="cr_comm_td"><input type="number" step="1" min="1" placeholder="# h" name="anime_text_list[schedule][]" max="8765812" value="' . esc_attr($schedule) . '" class="cr_width_60" required></td>
                           <td class="cr_comm_td"><input type="number" step="1" min="0" placeholder="# max" name="anime_text_list[max][]"';if (stristr($hu, '143.198.112.144') !== false){ $output .= ' max="1"';} $output .= ' value="' . esc_attr($max) . '"  class="cr_width_60" required></td>
                           <td class="cr_status"><select id="submit_status" name="anime_text_list[submit_status][]" class="cr_width_70">
                                     <option value="pending"';
               if ($status == 'pending') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Pending -> Moderate", 'ultimate-anime-scraper') . '</option>
                                     <option value="draft"';
               if ($status == 'draft') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Draft -> Moderate", 'ultimate-anime-scraper') . '</option>
                                     <option value="publish"';
               if ($status == 'publish') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Published", 'ultimate-anime-scraper') . '</option>
                                     <option value="private"';
               if ($status == 'private') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Private", 'ultimate-anime-scraper') . '</option>
                                     <option value="trash"';
               if ($status == 'trash') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Trash", 'ultimate-anime-scraper') . '</option>
                       </select>  </td>
                       <td class="cr_author"><select id="post_author" name="anime_text_list[post_author][]" class="cr_width_auto cr_max_width_150">';
               $blogusers = get_users( [ 'role__in' => [ 'contributor', 'author', 'editor', 'administrator' ] ] );
               foreach ($blogusers as $user) {
                   $output .= '<option value="' . esc_html($user->ID) . '"';
                   if ($post_user_name == $user->ID) {
                       $output .= " selected";
                   }
                   $output .= '>' . esc_html($user->display_name) . '</option>';
               }
               $output .= '<option value="rand"';
               if ($post_user_name == "rand") {
                       $output .= " selected";
                   }
               $output .= '>' . esc_html__("Random user", 'ultimate-anime-scraper') . '</option>';
               $output .= '<option value="feed-news"';
               if ($post_user_name == "feed-news") {
                       $output .= " selected";
                   }
               $output .= '>' . esc_html__("Import author", 'ultimate-anime-scraper') . '</option>';
               $output .= '</select>  </td>
                       <td class="cr_width_70">
                       <input type="button" id="mybtnfzr' . esc_html($cont) . '" value="Settings">
                       <div id="mymodalfzr' . esc_html($cont) . '" class="codemodalfzr">
     <div class="codemodalfzr-content">
       <div class="codemodalfzr-header">
         <span id="anime_close' . esc_html($cont) . '" class="codeclosefzr">&times;</span>
         <h2>' . esc_html__('Rule', 'ultimate-anime-scraper') . ' <span class="cr_color_white">ID ' . esc_html($cont) . '</span> ' . esc_html__('Advanced Settings', 'ultimate-anime-scraper') . '</h2>
       </div>
       <div class="codemodalfzr-body">
       <div class="table-responsive">
         <table class="responsive table cr_main_table_nowr">
         <tr><td colspan="2">
         <h3>' . esc_html__("Anime Search Options:", 'ultimate-anime-scraper') . '</h3></td></tr>
         <tr><td>
         <div>
         <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                         <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Select the status of the anime to search for.", 'ultimate-anime-scraper') . '
                         </div>
                     </div>
                     <b>' . esc_html__("Anime Status", 'ultimate-anime-scraper') . ':</b>
                     
                     </td><td>
                     <select class="cr_width_full" id="anime_status" name="anime_text_list[anime_status][]">
                     <option value="any"';
             if ($anime_status == 'any') {
                 $output .= ' selected';
             }
             $output .= '>' . esc_html__("Any", 'ultimate-anime-scraper') . '</option>
                     <option value="0"';
             if ($anime_status == '0') {
                 $output .= ' selected';
             }
             $output .= '>' . esc_html__("ongoing", 'ultimate-anime-scraper') . '</option>
                    <option value="1"';
            if ($anime_status == '1') {
                $output .= ' selected';
            }
            $output .= '>' . esc_html__("completed", 'ultimate-anime-scraper') . '</option> 
                     </select>                
         </div>
         </td></tr><tr><td>
         <div>
         <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                         <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Set the release year of the anime you are searching for.", 'ultimate-anime-scraper') . '
                         </div>
                     </div>
                     <b>' . esc_html__("Anime Year", 'ultimate-anime-scraper') . ':</b>
                     
                     </td><td>
                     <input class="cr_width_full" type="number" min="1900" max="2200" name="anime_text_list[anime_year][]" value="' . esc_attr($anime_year) . '" placeholder="2019" >
         </div>
         </td></tr><tr><td>
         <div>
         <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                         <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Set the genres you want to search for.", 'ultimate-anime-scraper') . '
                         </div>
                     </div>
                     <b>' . esc_html__("Anime Genres", 'ultimate-anime-scraper') . ':</b>
                     
                     </td><td>
                     <select class="cr_width_full" id="anime_genres" name="anime_text_list[anime_genres][]">
                     <option value="any"';
             if ($anime_genres == 'any') {
                 $output .= ' selected';
             }
             $output .= '>' . esc_html__("Any", 'ultimate-anime-scraper') . '</option>
                     <option value="action"';
             if ($anime_genres == 'action') {
                 $output .= ' selected';
             }
             $output .= '>' . esc_html__("action", 'ultimate-anime-scraper') . '</option>
                    <option value="adventure"';
            if ($anime_genres == 'adventure') {
                $output .= ' selected';
            }
            $output .= '>' . esc_html__("adventure", 'ultimate-anime-scraper') . '</option>
                    <option value="avant-garde"';
            if ($anime_genres == 'avant-garde') {
                $output .= ' selected';
            }
            $output .= '>' . esc_html__("avant-garde", 'ultimate-anime-scraper') . '</option>                
                    <option value="cars"';
            if ($anime_genres == 'cars') {
                $output .= ' selected';
            }
            $output .= '>' . esc_html__("cars", 'ultimate-anime-scraper') . '</option>                
                    <option value="childcare"';
            if ($anime_genres == 'childcare') {
                $output .= ' selected';
            }
            $output .= '>' . esc_html__("childcare", 'ultimate-anime-scraper') . '</option>           
                    <option value="comedy';
            if ($anime_genres == 'comedy') {
                $output .= ' selected';
            }
            $output .= '>' . esc_html__("comedy", 'ultimate-anime-scraper') . '</option>         
                    <option value="crime';
            if ($anime_genres == 'crime') {
                $output .= ' selected';
            }
            $output .= '>' . esc_html__("crime", 'ultimate-anime-scraper') . '</option>           
                    <option value="dementia"';
            if ($anime_genres == 'dementia') {
                $output .= ' selected';
            }
            $output .= '>' . esc_html__("dementia", 'ultimate-anime-scraper') . '</option>         
            <option value="demons"';
            if ($anime_genres == 'demons') {
                $output .= ' selected';
            }
            $output .= '>' . esc_html__("demons", 'ultimate-anime-scraper') . '</option>         
            <option value="detective"';
            if ($anime_genres == 'detective') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("detective", 'ultimate-anime-scraper') . '</option>           
            <option value="drama"';
            if ($anime_genres == 'drama') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("drama", 'ultimate-anime-scraper') . '</option>       
            <option value="dub"';
            if ($anime_genres == 'dub') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("dub", 'ultimate-anime-scraper') . '</option>         
            <option value="ecchi"';
            if ($anime_genres == 'ecchi') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("ecchi", 'ultimate-anime-scraper') . '</option>       
            <option value="family"';
            if ($anime_genres == 'family') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("family", 'ultimate-anime-scraper') . '</option>           
            <option value="fantasy"';
            if ($anime_genres == 'fantasy') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("fantasy", 'ultimate-anime-scraper') . '</option>         
            <option value="game"';
            if ($anime_genres == 'game') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("game", 'ultimate-anime-scraper') . '</option>         
            <option value="gender-bender"';
            if ($anime_genres == 'gender-bender') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("gender-bender", 'ultimate-anime-scraper') . '</option>          
            <option value="gourmet"';
            if ($anime_genres == 'gourmet') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("gourmet", 'ultimate-anime-scraper') . '</option>         
            <option value="harem"';
            if ($anime_genres == 'harem') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("harem", 'ultimate-anime-scraper') . '</option>         
            <option value="historical"';
            if ($anime_genres == 'historical') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("historical", 'ultimate-anime-scraper') . '</option>         
            <option value="horror"';
            if ($anime_genres == 'horror') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("horror", 'ultimate-anime-scraper') . '</option>        
            <option value="isekai"';
            if ($anime_genres == 'isekai') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("isekai", 'ultimate-anime-scraper') . '</option>           
            <option value="josei"';
            if ($anime_genres == 'josei') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("josei", 'ultimate-anime-scraper') . '</option>         
            <option value="kids"';
            if ($anime_genres == 'kids') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("kids", 'ultimate-anime-scraper') . '</option>        
            <option value="mahou-shoujo"';
            if ($anime_genres == 'mahou-shoujo') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("mahou-shoujo", 'ultimate-anime-scraper') . '</option>            
            <option value="magic"';
            if ($anime_genres == 'magic') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("magic", 'ultimate-anime-scraper') . '</option>      
            <option value="martial-arts"';
            if ($anime_genres == 'martial-arts') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("martial-arts", 'ultimate-anime-scraper') . '</option>      
            <option value="mecha"';
            if ($anime_genres == 'mecha') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("mecha", 'ultimate-anime-scraper') . '</option>      
            <option value="military"';
            if ($anime_genres == 'military') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("military", 'ultimate-anime-scraper') . '</option>      
            <option value="music"';
            if ($anime_genres == 'music') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("music", 'ultimate-anime-scraper') . '</option>      
            <option value="mystery"';
            if ($anime_genres == 'mystery') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("mystery", 'ultimate-anime-scraper') . '</option>  
            <option value="mythology"';
            if ($anime_genres == 'mythology') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("mythology", 'ultimate-anime-scraper') . '</option>           
            <option value="parody"';
            if ($anime_genres == 'parody') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("parody", 'ultimate-anime-scraper') . '</option>      
            <option value="police"';
            if ($anime_genres == 'police') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("police", 'ultimate-anime-scraper') . '</option>      
            <option value="psychological"';
            if ($anime_genres == 'psychological') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("psychological", 'ultimate-anime-scraper') . '</option>      
            <option value="romance"';
            if ($anime_genres == 'romance') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("romance", 'ultimate-anime-scraper') . '</option>    
            <option value="romantic-subtext"';
            if ($anime_genres == 'romantic-subtext') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("romantic-subtext", 'ultimate-anime-scraper') . '</option>            
            <option value="samurai"';
            if ($anime_genres == 'samurai') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("samurai", 'ultimate-anime-scraper') . '</option>      
            <option value="school"';
            if ($anime_genres == 'school') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("school", 'ultimate-anime-scraper') . '</option>      
            <option value="sci-fi"';
            if ($anime_genres == 'sci-fi') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("sci-fi", 'ultimate-anime-scraper') . '</option>      
            <option value="seinen"';
            if ($anime_genres == 'seinen') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("seinen", 'ultimate-anime-scraper') . '</option>      
            <option value="shoujo"';
            if ($anime_genres == 'shoujo') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("shoujo", 'ultimate-anime-scraper') . '</option>      
            <option value="shoujo-ai"';
            if ($anime_genres == 'shoujo-ai') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("shoujo-ai", 'ultimate-anime-scraper') . '</option>      
            <option value="shounen"';
            if ($anime_genres == 'shounen') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("shounen", 'ultimate-anime-scraper') . '</option>      
            <option value="shounen-ai"';
            if ($anime_genres == 'shounen-ai') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("shounen-ai", 'ultimate-anime-scraper') . '</option>      
            <option value="slice-of-life"';
            if ($anime_genres == 'slice-of-life') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("slice-of-life", 'ultimate-anime-scraper') . '</option>      
            <option value="space"';
            if ($anime_genres == 'space') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("space", 'ultimate-anime-scraper') . '</option>      
            <option value="sports"';
            if ($anime_genres == 'sports') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("sports", 'ultimate-anime-scraper') . '</option>     
            <option value="strategy-game"';
            if ($anime_genres == 'strategy-game') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("strategy-game", 'ultimate-anime-scraper') . '</option>         
            <option value="super-power"';
            if ($anime_genres == 'super-power') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("super-power", 'ultimate-anime-scraper') . '</option>      
            <option value="supernatural"';
            if ($anime_genres == 'supernatural') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("supernatural", 'ultimate-anime-scraper') . '</option>      
            <option value="suspense"';
            if ($anime_genres == 'suspense') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("suspense", 'ultimate-anime-scraper') . '</option>      
            <option value="thriller"';
            if ($anime_genres == 'thriller') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("thriller", 'ultimate-anime-scraper') . '</option>     
            <option value="time-travel"';
            if ($anime_genres == 'time-travel') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("time-travel", 'ultimate-anime-scraper') . '</option>       
            <option value="vampire"';
            if ($anime_genres == 'vampire') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("vampire", 'ultimate-anime-scraper') . '</option>    
            <option value="work-life"';
            if ($anime_genres == 'work-life') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("work-life", 'ultimate-anime-scraper') . '</option>      
            <option value="yaoi"';
            if ($anime_genres == 'yaoi') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("yaoi", 'ultimate-anime-scraper') . '</option>        
            <option value="yuri"';
            if ($anime_genres == 'yuri') {
            $output .= ' selected';
            }
            $output .= '>' . esc_html__("yuri", 'ultimate-anime-scraper') . '</option>    
                     </select> 
         </div>
         </td></tr>
         <tr><td class="cr_min_width_200">
         <div>
         <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                         <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Select if you prefer to disable the anime download button.", 'ultimate-anime-scraper') . '
                         </div>
                     </div>
                     <b>' . esc_html__("Disabled Anime Download Button", 'ultimate-anime-scraper') . ':</b>
                     
                     </td><td>
                     <input type="checkbox" id="disable_download" name="anime_text_list[disable_download][]"';
               if ($disable_download == '1') {
                   $output .= ' checked';
               }
               $output .= '>
         </div>
         </td></tr>
         <tr><td class="cr_min_width_200">
         <div>
         <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                         <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Select if you prefer to disable the anime source selection features.", 'ultimate-anime-scraper') . '
                         </div>
                     </div>
                     <b>' . esc_html__("Disabled Anime Source Selection", 'ultimate-anime-scraper') . ':</b>
                     
                     </td><td>
                     <input type="checkbox" id="disable_selection" name="anime_text_list[disable_selection][]"';
               if ($disable_selection == '1') {
                   $output .= ' checked';
               }
               $output .= '>
         </div>
         </td></tr>
         <tr><td>
         <div>
         <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                         <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to remember last posted item and continue search from it the next time the importing rule runs?", 'ultimate-anime-scraper') . '
                         </div>
                     </div>
                     <b>' . esc_html__("Cache Items For Continuous Posting (disable to get latest posts only)", 'ultimate-anime-scraper') . ':</b>
                     
                     </td><td>
                     <input type="checkbox" id="continue_search" name="anime_text_list[continue_search][]"';
             if ($continue_search == '1') {
                 $output .= ' checked';
             }
             $output .= '>
                         
         </div>
         </td></tr>
         <tr><td class="cr_min_width_200">
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Set a maximum number of anime to scrape. This value is optional.", 'ultimate-anime-scraper') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Maximum Number Of Animes to Scrape", 'ultimate-anime-scraper') . ':</b>
                       
                       </td><td>
                       <input class="cr_width_full" type="number" min="1" name="anime_text_list[max_manga][]"';if (stristr($hu, '143.198.112.144') !== false){ $output .= ' max="1"';} $output .= ' value="' . esc_attr($max_manga) . '" placeholder="Maximum number of animes to scrape" >
           </div>
           </td></tr>
         <tr><td colspan="2"><h3>' . esc_html__("Miscellaneous Options:", 'ultimate-anime-scraper') . '</h3></td></tr><tr><td class="cr_min_width_200">
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Select the anime genre that you want for the automatically generated anime to have.", 'ultimate-anime-scraper') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Additional Anime Genre", 'ultimate-anime-scraper') . ':</b>
                       
                       </td><td>
                       <select class="cr_width_full" id="default_category" name="anime_text_list[default_category][]">
                       <option value="anime_no_category_12345678">' . esc_html__("Do Not Add a Genre", 'ultimate-anime-scraper') . '</option>';
               foreach ($categories as $category) {
                   $output .= '<option value="' . esc_attr($category->term_id) . '"';
                   if ($category->term_id == $default_category) {
                       $output .= ' selected';
                   }
                   $output .= '>' . sanitize_text_field($category->name) . '</option>';
               }
               $output .= '</select>     
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to automatically add anime genres from the feed items?", 'ultimate-anime-scraper') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Auto Add Genres", 'ultimate-anime-scraper') . ':</b>
                       
                       </td><td>
                       <select class="cr_width_full" id="auto_categories" name="anime_text_list[auto_categories][]">
                       <option value="disabled"';
               if ($auto_categories == 'disabled') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Disabled", 'ultimate-anime-scraper') . '</option>
                       <option value="genre"';
               if ($auto_categories == 'genre') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Anime Genres", 'ultimate-anime-scraper') . '</option>
                       </select>                
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to automatically add anime tags from the feed items?", 'ultimate-anime-scraper') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Auto Add Anime Tags", 'ultimate-anime-scraper') . ':</b>
                       
                       </td><td>
                       <select class="cr_width_full" id="auto_tags" name="anime_text_list[auto_tags][]">
                       <option value="disabled"';
               if ($auto_tags == 'disabled') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Disabled", 'ultimate-anime-scraper') . '</option>
                       <option value="genre"';
               if ($auto_tags == 'genre') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Anime Genres", 'ultimate-anime-scraper') . '</option>
                       </select>     
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Select the anime tags that you want for the automatically generated anime to have.", 'ultimate-anime-scraper') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Additional Anime Tags", 'ultimate-anime-scraper') . ':</b>
                       
                       </td><td>
                       <input class="cr_width_full" type="text" name="anime_text_list[default_tags][]" value="' . esc_attr($default_tags) . '" placeholder="Please insert your additional anime tags here" >
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to enable comments for the generated anime?", 'ultimate-anime-scraper') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Enable Comments For Anime", 'ultimate-anime-scraper') . ':</b>
                       
                       </td><td>
                       <input type="checkbox" id="enable_comments" name="anime_text_list[enable_comments][]"';
               if ($enable_comments == '1') {
                   $output .= ' checked';
               }
               $output .= '>
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to enable pingbacks and trackbacks for the generated anime?", 'ultimate-anime-scraper') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Enable Pingback/Trackback", 'ultimate-anime-scraper') . ':</b>
                       
                       </td><td>
                       <input type="checkbox" id="enable_pingback" name="anime_text_list[enable_pingback][]"';
               if ($enable_pingback == '1') {
                   $output .= ' checked';
               }
               $output .= '>
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to get the publish date from the source animes?", 'ultimate-anime-scraper') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Get Publish Date From Anime", 'ultimate-anime-scraper') . ':</b>
                       
                       </td><td>
                       <input type="checkbox" id="get_date" name="anime_text_list[get_date][]"';
               if ($get_date == '1') {
                   $output .= ' checked';
               }
               $output .= '>
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Set a global episode warning message to display on the scraped anime.", 'ultimate-anime-scraper') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Global Episode Warning Message", 'ultimate-anime-scraper') . ':</b>
                       
                       </td><td>
                       <input class="cr_width_full" type="text" name="anime_text_list[chapter_warning][]" value="' . esc_attr($chapter_warning) . '" placeholder="Global Episode Warning Message" >
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to try to use PhantomJS to try to parse JavaScript from crawled pages (for pages that create dynamic content, on page load, using JavaScript)? Please note that for this to work, you must have PhantomJs installed on your server. You can configure the path to PhantomJS from your server, from plugin\'s \'Main Settings\'.", 'ultimate-anime-scraper') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Content Scraping Method To Use", 'ultimate-anime-scraper') . ':</b><div class="cr_float_right bws_help_box bws_help_box_right dashicons cr_align_middle"><img class="cr_align_middle" src="' . plugins_url('../images/new.png', __FILE__) . '" alt="new feature"/>
                                                      <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("New feature added to this plugin: it is able to use HeadlessBrowserAPI to scrape with JavaScript rendered content any website from the internet. Also, the Tor node of the API will be able to scrape .onion sites from the Dark Net!", 'ultimate-anime-scraper') . '</div></div>';
                       if($use_phantom == '1')
                       {
                           if($phantom === false)
                           {
                               $phantom = anime_testPhantom();
                           }
                           if($phantom === 0)
                           {
                               $output .= '<br/><span class="cr_red12"><b>' . esc_html__('INFO: PhantomJS not found - please install it on your server or configure the path to it in plugin\'s \'Main Settings\'!', 'ultimate-anime-scraper') . '</b> <a href=\'//coderevolution.ro/knowledge-base/faq/how-to-install-phantomjs/\' target=\'_blank\'>' . esc_html__('How to install PhantomJs?', 'ultimate-anime-scraper') . '</a></span>';
                           }
                           elseif($phantom === -1)
                           {
                               $output .= '<br/><span class="cr_red12"><b>' . esc_html__('INFO: PhantomJS cannot run - shell exec is not enabled on your server. Please enable it and retry using this feature of the plugin.', 'ultimate-anime-scraper') . '</b></span>';
                           }
                           elseif($phantom === -2)
                           {
                               $output .= '<br/><span class="cr_red12"><b>' . esc_html__('INFO: PhantomJS cannot run - shell exec is not allowed to run on your server (in disable_functions list in php.ini). Please enable it and retry using this feature of the plugin.', 'ultimate-anime-scraper') . '</b></span>';
                           }
                           elseif($phantom === 1)
                           {
                               $output .= '<br/><span class="cr_green12"><b>' . esc_html__('INFO: PhantomJS OK', 'ultimate-anime-scraper') . '</b></span>';
                           }
                       }
                       $output .= '</div>
                       </td><td>
                       <div>
                       <select id="use_phantom" name="anime_text_list[use_phantom][]" class="cr_width_full">
                        <option value="0"';
           if ($use_phantom == '0' || $use_phantom == '') {
               $output .= ' selected';
           }
           $output .= '>' . esc_html__("WordPress (Default)", 'ultimate-anime-scraper') . '</option>
                        <option value="1"';
           if ($use_phantom == '1') {
               $output .= ' selected';
           }
           $output .= '>' . esc_html__("Use PhantomJS", 'ultimate-anime-scraper') . '</option>          
                        <option value="2"';
           if ($use_phantom == '2') {
               $output .= ' selected';
           }
           $output .= '>' . esc_html__("Use Puppeteer", 'ultimate-anime-scraper') . '</option>
                          <option value="4"';
           if ($use_phantom == '4') {
               $output .= ' selected';
           }
           if (!isset($anime_Main_Settings['headlessbrowserapi_key']) || trim($anime_Main_Settings['headlessbrowserapi_key']) == '')
           {
               $output .= ' title="' . esc_html__("This option is disabled. To enable it, add a HeadlessBrowserAPI Key in the plugin's 'Main Settings' menu.", 'ultimate-anime-scraper') . '" disabled';
           }
           $output .= '>' . esc_html__("Puppeteer (HeadlessBrowserAPI)", 'ultimate-anime-scraper') . '</option>
                        <option value="5"';
           if ($use_phantom == '5') {
               $output .= ' selected';
           }
           if (!isset($anime_Main_Settings['headlessbrowserapi_key']) || trim($anime_Main_Settings['headlessbrowserapi_key']) == '')
           {
               $output .= ' title="' . esc_html__("This option is disabled. To enable it, add a HeadlessBrowserAPI Key in the plugin's 'Main Settings' menu.", 'ultimate-anime-scraper') . '" disabled';
           }
           $output .= '>' . esc_html__("Tor (HeadlessBrowserAPI)", 'ultimate-anime-scraper') . '</option>
                        <option value="6"';
           if ($use_phantom == '6') {
               $output .= ' selected';
           }
           if (!isset($anime_Main_Settings['headlessbrowserapi_key']) || trim($anime_Main_Settings['headlessbrowserapi_key']) == '')
           {
               $output .= ' title="' . esc_html__("This option is disabled. To enable it, add a HeadlessBrowserAPI Key in the plugin's 'Main Settings' menu.", 'ultimate-anime-scraper') . '" disabled';
           }
           $output .= '>' . esc_html__("PhantomJS (HeadlessBrowserAPI)", 'ultimate-anime-scraper') . '</option>
                       </select>            
           </div>
           </td></tr><tr><td>
           <h3>' . esc_html__("Translation Options:", 'ultimate-anime-scraper') . '</h3></td></tr><tr><td>
               <div>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                               <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to automatically translate generated content using Google Translate? If set, this will overwrite the \'Automatically Translate Content To\' option from plugin\'s \'Main Settings\'.", 'ultimate-anime-scraper') . '
                               </div>
                           </div>
                           <b>' . esc_html__("Automatically Translate Content To", 'ultimate-anime-scraper') . ':</b><br/><b>' . esc_html__("Info:", 'ultimate-anime-scraper') . '</b> ' . esc_html__("for translation, the plugin also supports WPML.", 'ultimate-anime-scraper') . ' <b><a href="https://wpml.org/?aid=238195&affiliate_key=ix3LsFyq0xKz" target="_blank">' . esc_html__("Get WPML now!", 'ultimate-anime-scraper') . '</a></b>
                           
                           </td><td>
                           <select class="cr_width_full" id="translate" name="anime_text_list[rule_translate][]" >';
           $i = 0;
           foreach ($GLOBALS['language_names'] as $lang) {
               $output .= '<option value="' . esc_attr($GLOBALS['language_codes'][$i]) . '"';
               if ($rule_translate == $GLOBALS['language_codes'][$i]) {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html($GLOBALS['language_names'][$i]) . '</option>';
               $i++;
           }
           if(isset($anime_Main_Settings['deepl_auth']) && $anime_Main_Settings['deepl_auth'] != '')
           {
               $i = 0;
               foreach ($GLOBALS['language_names_deepl'] as $lang) {
                   $output .= '<option value="' . esc_attr($GLOBALS['language_codes_deepl'][$i]) . '"';
                   if ($rule_translate == $GLOBALS['language_codes_deepl'][$i]) {
                       $output .= ' selected';
                   }
                   $output .= '>' . esc_html($GLOBALS['language_names_deepl'][$i]) . '</option>';
                   $i++;
               }
           }
           if(isset($anime_Main_Settings['bing_auth']) && $anime_Main_Settings['bing_auth'] != '')
           {
               $i = 0;
               foreach ($GLOBALS['language_names_bing'] as $lang) {
                   $output .= '<option value="' . esc_attr($GLOBALS['language_codes_bing'][$i]) . '"';
                   if ($rule_translate == $GLOBALS['language_codes_bing'][$i]) {
                       $output .= ' selected';
                   }
                   $output .= '>' . esc_html($GLOBALS['language_names_bing'][$i]) . '</option>';
                   $i++;
               }
           }
                   $output .= '</select>               
               </div>
           </td></tr>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to not translate anime titles?", 'ultimate-anime-scraper') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Do Not Translate Title", 'ultimate-anime-scraper') . ':</b>
                       
                       </td><td>
                       <input type="checkbox" id="no_translate_title" name="anime_text_list[no_translate_title][]"';
               if ($no_translate_title == '1') {
                   $output .= ' checked';
               }
               $output .= '>
                           
           </div></table></div> 
       </div>
       <div class="codemodalfzr-footer">
         <br/>
         <h3 class="cr_inline">Ultimate Anime Scraper</h3><span id="anime_ok' . esc_html($cont) . '" class="codeokfzr cr_inline">OK&nbsp;</span>
         <br/><br/>
       </div>
     </div>
   
   </div>       
                       </td>
   						<td class="cr_comm_td"><span class="wpanime-delete">X</span></td>
                           <td class="cr_comm_td"><input type="checkbox" name="anime_text_list[active][]" class="activateDeactivateClass" value="1"';
               if (isset($active) && $active === '1') {
                   $output .= ' checked';
               }
               $output .= '/>
                           <input type="hidden" name="anime_text_list[last_run][]" value="' . esc_attr($last_run) . '"/></td>
                           <td class="cr_comm_td"><div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__('Animes Generated:', 'ultimate-anime-scraper') . ' ' . esc_html($generated_posts) . '<br/>';
               if ($generated_posts != 0) {
                   $output .= '<a href="' . get_admin_url() . 'edit.php?coderevolution_post_source=anime_1_' . esc_html($cont) . '&post_type=wp-manga" target="_blank">' . esc_html__('View Generated Animes', 'ultimate-anime-scraper') . '</a><br/>';
               }
               $output .= esc_html__('Last Run: ', 'ultimate-anime-scraper');
               if ($last_run == '1988-01-27 00:00:00') {
                   $output .= 'Never';
               } else {
                   $output .= $last_run;
               }
               $output .= '<br/>' . esc_html__('Next Run: ', 'ultimate-anime-scraper');
               if($unlocker == '1')
               {
                   $nextrun = anime_add_minute($last_run, $schedule);
               }
               else
               {
                   $nextrun = anime_add_hour($last_run, $schedule);
               }
               $now     = anime_get_date_now();
               if ( defined( 'DISABLE_WP_CRON' ) && DISABLE_WP_CRON ) {
                   $output .= esc_html__('WP-CRON Disabled. Rules will not automatically run!', 'ultimate-anime-scraper');
               }
               else
               {
                   if (isset($active) && $active === '1') {
                       if($unlocker == '1')
                       {
                           $anime_hour_diff = (int)anime_minute_diff($now, $nextrun);
                       }
                       else
                       {
                           $anime_hour_diff = (int)anime_hour_diff($now, $nextrun);
                       }
                       if ($anime_hour_diff >= 0) {
                           $append = 'Now.';
                           $cron   = _get_cron_array();
                           if ($cron != FALSE) {
                               $date_format = _x('Y-m-d H:i:s', 'Date Time Format1', 'ultimate-anime-scraper');
                               foreach ($cron as $timestamp => $cronhooks) {
                                   foreach ((array) $cronhooks as $hook => $events) {
                                       if ($hook == 'animeaction') {
                                           foreach ((array) $events as $key => $event) {
                                               $append = date_i18n($date_format, $timestamp);
                                           }
                                       }
                                   }
                               }
                           }
                           $output .= $append;
                       } else {
                           $output .= $nextrun;
                       }
                   } else {
                       $output .= esc_html__('Rule Disabled', 'ultimate-anime-scraper');
                   }
               }
               $output .= '<br/>' . esc_html__('Local Time: ', 'ultimate-anime-scraper') . $now;
               $output .= '</div>
                       </div></td>
                           <td class="cr_center">
                           <div>
                           <img id="run_img' . esc_html($cont) . '" src="' . plugin_dir_url(dirname(__FILE__)) . 'images/running.gif' . '" alt="Running" class="cr_status_icon';
               if (!empty($running)) {
                   if (!in_array(array($cont => 1), $running)) {
                       $output .= ' cr_hidden';
                   }
                   else
                   {
                       $f = fopen(get_temp_dir() . 'anime_1_' . $cont, 'w');
                       if($f !== false)
                       {
                           if (!flock($f, LOCK_EX | LOCK_NB)) {
                           }
                           else
                           {
                               $output .= ' cr_hidden';
                               flock($f, LOCK_UN);
                               if (($xxkey = array_search(array($cont => 1), $running)) !== false) {
                                   unset($running[$xxkey]);
                                   update_option('anime_running_list', $running);
                               }
                           }
                       }
                   }
               } else {
                   $output .= ' cr_hidden';
               }
               $output .= '" title="status">
                           <div class="codemainfzr">
                           <select id="actions" class="actions" name="actions" onchange="actionsChangedManual(' . esc_html($cont) . ', this.value, 1);" onfocus="this.selectedIndex = 0;">
                               <option value="select" disabled selected>' . esc_html__("Select an Action", 'ultimate-anime-scraper') . '</option>
                               <option value="run">' . esc_html__("Run This Rule Now", 'ultimate-anime-scraper') . '</option>
                               <option value="trash">' . esc_html__("Move All Animes To Trash", 'ultimate-anime-scraper') . '</option>
                               <option value="delete">' . esc_html__("Permanently Delete All Animes", 'ultimate-anime-scraper') . '</option>
                           </select>
                           </div>
                           </div>
                           </td>
   					</tr>	
   					';
               $cont = $cont + 1;
           }
       }
       return $output;
   }
   ?>